import { axios } from '@/utils/request'
// 连锁收发存报表-分页列表
export const linkageReportPageList = (params) => {
  const url = `report/reportStockPutOut/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 连锁收发存报表-列表合计
export const linkageReportPageTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 收发存报表-分页列表
export const reportPageList = (params) => {
  const url = `report/reportStockPutOut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 收发存报表-列表合计
export const linkageReportTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 收发存报表-列表合计
export const reportStockPutOutCount = (params) => {
  return axios({
    url: 'report/reportStockPutOut/reportCount',
    data: params,
    method: 'post'
  })
}
// 大客户报表-分页列表
export const reportBigCustomerList = (params) => {
  const url = `report/reportBigCustomer/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 大客户报表-列表合计
export const reportBigCustomerCount = (params) => {
  return axios({
    url: 'report/reportBigCustomer/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁大客户报表-分页列表
export const reportBigCustomerLinkageList = (params) => {
  const url = `report/reportBigCustomer/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 连锁大客户报表-列表合计
export const reportBigCustomerLinkageCount = (params) => {
  return axios({
    url: 'report/reportBigCustomer/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 连锁销售报表-分页列表
export const reportSalesBillList = (params) => {
  const url = `/report/reportSalesBill/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 连锁销售报表-列表合计
export const reportSalesBillCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁销售明细报表-分页列表
export const reportSalesBillDetailList = (params) => {
  const url = `/report/reportSalesBill/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 连锁销售明细报表-列表合计
export const reportSalesBillDetailCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 连锁店
export const linkageGroupList = (params) => {
  return axios({
    url: '/report/linkageGroup/findListByDealerSn',
    data: params,
    method: 'post'
  })
}
